Index: src/unittests/AnalysisCorrelationToPointUnitTest.cpp
===================================================================
--- src/unittests/AnalysisCorrelationToPointUnitTest.cpp	(revision 46d9587b2240f976c33474cc5e1ab83d919036b3)
+++ src/unittests/AnalysisCorrelationToPointUnitTest.cpp	(revision cf1a078eef5d2d8b8e2b885b2c189c3438c2fc24)
@@ -52,9 +52,9 @@
 
   // construct periodentafel
-  tafel = new periodentafel;
+  tafel = World::get()->getPeriode();
   tafel->AddElement(hydrogen);
 
   // construct molecule (tetraeder of hydrogens)
-  TestMolecule = new molecule(tafel);
+  TestMolecule = World::get()->createMolecule();
   Walker = World::get()->createAtom();
   Walker->type = hydrogen;
@@ -77,5 +77,5 @@
   CPPUNIT_ASSERT_EQUAL( TestMolecule->AtomCount, 4 );
 
-  TestList = new MoleculeListClass;
+  TestList = World::get()->getMolecules();
   TestMolecule->ActiveFlag = true;
   TestList->insert(TestMolecule);
@@ -98,10 +98,6 @@
     delete(binmap);
 
-  // remove
-  delete(TestList);
-  // note that all the atoms are cleaned by TestMolecule
   delete(point);
-  delete(tafel);
-  // note that element is cleaned by periodentafel
+  World::destroy();
 };
 
Index: src/unittests/AnalysisCorrelationToSurfaceUnitTest.cpp
===================================================================
--- src/unittests/AnalysisCorrelationToSurfaceUnitTest.cpp	(revision 46d9587b2240f976c33474cc5e1ab83d919036b3)
+++ src/unittests/AnalysisCorrelationToSurfaceUnitTest.cpp	(revision cf1a078eef5d2d8b8e2b885b2c189c3438c2fc24)
@@ -56,10 +56,10 @@
 
   // construct periodentafel
-  tafel = new periodentafel;
+  tafel = World::get()->getPeriode();
   tafel->AddElement(hydrogen);
   tafel->AddElement(carbon);
 
   // construct molecule (tetraeder of hydrogens) base
-  TestMolecule = new molecule(tafel);
+  TestMolecule = World::get()->createMolecule();
   Walker = World::get()->createAtom();
   Walker->type = hydrogen;
@@ -82,5 +82,5 @@
   CPPUNIT_ASSERT_EQUAL( TestMolecule->AtomCount, 4 );
 
-  TestList = new MoleculeListClass;
+  TestList = World::get()->getMolecules();
   TestMolecule->ActiveFlag = true;
   TestList->insert(TestMolecule);
@@ -127,11 +127,8 @@
     delete(binmap);
 
-  // remove
-  delete(TestList);
   delete(Surface);
   // note that all the atoms are cleaned by TestMolecule
   delete(LC);
-  delete(tafel);
-  // note that element is cleaned by periodentafel
+  World::destroy();
 };
 
Index: src/unittests/AnalysisPairCorrelationUnitTest.cpp
===================================================================
--- src/unittests/AnalysisPairCorrelationUnitTest.cpp	(revision 46d9587b2240f976c33474cc5e1ab83d919036b3)
+++ src/unittests/AnalysisPairCorrelationUnitTest.cpp	(revision cf1a078eef5d2d8b8e2b885b2c189c3438c2fc24)
@@ -51,9 +51,9 @@
 
   // construct periodentafel
-  tafel = new periodentafel;
+  tafel = World::get()->getPeriode();
   tafel->AddElement(hydrogen);
 
   // construct molecule (tetraeder of hydrogens)
-  TestMolecule = new molecule(tafel);
+  TestMolecule = World::get()->createMolecule();
   Walker = World::get()->createAtom();
   Walker->type = hydrogen;
@@ -76,5 +76,5 @@
   CPPUNIT_ASSERT_EQUAL( TestMolecule->AtomCount, 4 );
 
-  TestList = new MoleculeListClass;
+  TestList = World::get()->getMolecules();
   TestMolecule->ActiveFlag = true;
   TestList->insert(TestMolecule);
@@ -94,9 +94,6 @@
     delete(binmap);
 
-  // remove
-  delete(TestList);
   // note that all the atoms are cleaned by TestMolecule
-  delete(tafel);
-  // note that element is cleaned by periodentafel
+  World::destroy();
 };
 
Index: src/unittests/Makefile.am
===================================================================
--- src/unittests/Makefile.am	(revision 46d9587b2240f976c33474cc5e1ab83d919036b3)
+++ src/unittests/Makefile.am	(revision cf1a078eef5d2d8b8e2b885b2c189c3438c2fc24)
@@ -30,5 +30,5 @@
   CacheableTest \
   DescriptorUnittest \
-  manipulateAtomsTest \ 
+  manipulateAtomsTest \
   atomsCalculationTest \
   ${MENUTESTS}
Index: src/unittests/analysisbondsunittest.cpp
===================================================================
--- src/unittests/analysisbondsunittest.cpp	(revision 46d9587b2240f976c33474cc5e1ab83d919036b3)
+++ src/unittests/analysisbondsunittest.cpp	(revision cf1a078eef5d2d8b8e2b885b2c189c3438c2fc24)
@@ -57,10 +57,10 @@
 
   // construct periodentafel
-  tafel = new periodentafel;
+  tafel = World::get()->getPeriode();
   tafel->AddElement(hydrogen);
   tafel->AddElement(carbon);
 
   // construct molecule (tetraeder of hydrogens)
-  TestMolecule = new molecule(tafel);
+  TestMolecule = World::get()->createMolecule();
   Walker = World::get()->createAtom();
   Walker->type = hydrogen;
@@ -113,8 +113,7 @@
 
   // remove molecule
-  delete(TestMolecule);
+  World::get()->destroyMolecule(TestMolecule);
   // note that all the atoms are cleaned by TestMolecule
-  delete(tafel);
-  // note that element is cleaned by periodentafel
+  World::destroy();
 };
 
Index: src/unittests/bondgraphunittest.cpp
===================================================================
--- src/unittests/bondgraphunittest.cpp	(revision 46d9587b2240f976c33474cc5e1ab83d919036b3)
+++ src/unittests/bondgraphunittest.cpp	(revision cf1a078eef5d2d8b8e2b885b2c189c3438c2fc24)
@@ -52,10 +52,10 @@
 
   // construct periodentafel
-  tafel = new periodentafel;
+  tafel = World::get()->getPeriode();
   tafel->AddElement(hydrogen);
   tafel->AddElement(carbon);
 
   // construct molecule (tetraeder of hydrogens)
-  TestMolecule = new molecule(tafel);
+  TestMolecule = World::get()->createMolecule();
   Walker = World::get()->createAtom();
   Walker->type = hydrogen;
@@ -97,8 +97,7 @@
 
   // remove molecule
-  delete(TestMolecule);
+  World::get()->destroyMolecule(TestMolecule);
   // note that all the atoms are cleaned by TestMolecule
-  delete(tafel);
-  // note that element is cleaned by periodentafel
+  World::destroy();
 };
 
Index: src/unittests/listofbondsunittest.cpp
===================================================================
--- src/unittests/listofbondsunittest.cpp	(revision 46d9587b2240f976c33474cc5e1ab83d919036b3)
+++ src/unittests/listofbondsunittest.cpp	(revision cf1a078eef5d2d8b8e2b885b2c189c3438c2fc24)
@@ -46,9 +46,9 @@
 
   // construct periodentafel
-  tafel = new periodentafel;
+  tafel = World::get()->getPeriode();
   tafel->AddElement(hydrogen);
 
   // construct molecule (tetraeder of hydrogens)
-  TestMolecule = new molecule(tafel);
+  TestMolecule = World::get()->createMolecule();
   Walker = World::get()->createAtom();
   Walker->type = hydrogen;
@@ -77,8 +77,7 @@
 {
   // remove
-  delete(TestMolecule);
+  World::get()->destroyMolecule(TestMolecule);
   // note that all the atoms are cleaned by TestMolecule
-  delete(tafel);
-  // note that element is cleaned by periodentafel
+  World::destroy();
 };
 
